// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
//
//	test CubicHermiteInterpolant
//
//	UL, Wed Sep  8 18:13:42 MET DST 1999
//
#include <iostream>
#include <vector>

#include "slatec++.h"
#include "common.h"

using namespace std;

int main()
{
	const int N = 5;

	vector<double>	x(N), y(N);
	for (int n=0; n<N; ++n) {
		x[n] = DBL(n);
		y[n] = 0.;
	}

	Slatec::CubicHermiteInterpolant<double> chi(x, y);
//	double xaddv[] = { 1.5, 2., 2.5, 3 },
//		   yaddv[] = { 1.,  1., 1.,  1. };
	double xaddv[] = { -1, 4, 5 },
		   yaddv[] = { 1, 1, 1 };
	vector<double> xadd(xaddv, xaddv+NUM_OF(xaddv)),
				   yadd(yaddv, yaddv+NUM_OF(yaddv));

	chi.replace(xadd, yadd);
	const vector<double> &abs = chi.abscissa();
	for (unsigned n=0; n<abs.size(); ++n)
		cout<<abs[n]<<' '<<chi(abs[n])<<endl;

	return 0;
}

