// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <iostream>
#include <cmath>
#include <cassert>
#include "slatec++.h"

namespace {
bool isClose(double a, double b)
{
    if (a == 0.)
        return fabs(b) < 1.e-10;

    return fabs(a)/fabs(b)-1. < 1.e-1;
}

double f(double x)
{
	return sin(x);
}

double F(double x)
{
    return -cos(x);
}
}

int main()
{
	Slatec::Curve<double> c(f);

	double a = 0.,
		   b = M_PI/2.;
	std::cout<<c.integral(a, b)<<std::endl;
	assert(isClose(c.integral(a, b), F(b)-F(a)));
}


