C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK DMACON
      SUBROUTINE DMACON
C***BEGIN PROLOGUE  DMACON
C***SUBSIDIARY
C***PURPOSE  Subsidiary to DBVSUP
C***LIBRARY   SLATEC
C***TYPE      DOUBLE PRECISION (MACON-S, DMACON-D)
C***AUTHOR  (UNKNOWN)
C***SEE ALSO  DBVSUP
C***ROUTINES CALLED  D1MACH
C***COMMON BLOCKS    DML5MC
C***REVISION HISTORY  (YYMMDD)
C   750601  DATE WRITTEN
C   890531  Changed all specific intrinsics to generic.  (WRB)
C   890921  Realigned order of variables in certain COMMON blocks.
C           (WRB)
C   891214  Prologue converted to Version 4.0 format.  (BAB)
C   900328  Added TYPE section.  (WRB)
C***END PROLOGUE  DMACON
      DOUBLE PRECISION D1MACH
      INTEGER KE, LPAR
      DOUBLE PRECISION DD, EPS, FOURU, SQOVFL, SRU, TWOU, URO
      COMMON /DML5MC/ URO,SRU,EPS,SQOVFL,TWOU,FOURU,LPAR
C***FIRST EXECUTABLE STATEMENT  DMACON
      URO = D1MACH(4)
      SRU = SQRT(URO)
      DD = -LOG10(URO)
      LPAR = 0.5D0*DD
      KE = 0.5D0 + 0.75D0*DD
      EPS = 10.0D0**(-2*KE)
      SQOVFL = SQRT(D1MACH(2))
      TWOU = 2.0D0*URO
      FOURU = 4.0D0*URO
      RETURN
      END
