C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK MACON
      SUBROUTINE MACON
C***BEGIN PROLOGUE  MACON
C***SUBSIDIARY
C***PURPOSE  Subsidiary to BVSUP
C***LIBRARY   SLATEC
C***TYPE      SINGLE PRECISION (MACON-S, DMACON-D)
C***AUTHOR  (UNKNOWN)
C***DESCRIPTION
C
C    Sets up machine constants using R1MACH
C
C***SEE ALSO  BVSUP
C***ROUTINES CALLED  R1MACH
C***COMMON BLOCKS    ML5MCO
C***REVISION HISTORY  (YYMMDD)
C   750601  DATE WRITTEN
C   890531  Changed all specific intrinsics to generic.  (WRB)
C   890921  Realigned order of variables in certain COMMON blocks.
C           (WRB)
C   891214  Prologue converted to Version 4.0 format.  (BAB)
C   900328  Added TYPE section.  (WRB)
C***END PROLOGUE  MACON
      COMMON /ML5MCO/ URO,SRU,EPS,SQOVFL,TWOU,FOURU,LPAR
C***FIRST EXECUTABLE STATEMENT  MACON
      URO=R1MACH(4)
      SRU=SQRT(URO)
      DD=-LOG10(URO)
      LPAR=0.5*DD
      KE=0.5+0.75*DD
      EPS=10.**(-2*KE)
      SQOVFL=SQRT(R1MACH(2))
      TWOU=2.0*URO
      FOURU=4.0*URO
      RETURN
      END
