C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK MPADD
      SUBROUTINE MPADD (X, Y, Z)
C***BEGIN PROLOGUE  MPADD
C***SUBSIDIARY
C***PURPOSE  Subsidiary to DQDOTA and DQDOTI
C***LIBRARY   SLATEC
C***TYPE      ALL (MPADD-A)
C***AUTHOR  (UNKNOWN)
C***DESCRIPTION
C
C Adds X and Y, forming result in Z, where X, Y and Z are 'mp'
C  (multiple precision) numbers.  Four guard digits are used,
C  and then R*-rounding.
C
C***SEE ALSO  DQDOTA, DQDOTI
C***ROUTINES CALLED  MPADD2
C***REVISION HISTORY  (YYMMDD)
C   791001  DATE WRITTEN
C   890831  Modified array declarations.  (WRB)
C   891214  Prologue converted to Version 4.0 format.  (BAB)
C   900402  Added TYPE section.  (WRB)
C***END PROLOGUE  MPADD
      INTEGER X(*), Y(*), Z(*)
C***FIRST EXECUTABLE STATEMENT  MPADD
      CALL MPADD2 (X, Y, Z, Y, 0)
      RETURN
      END
