C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK XERBLA
      SUBROUTINE XERBLA (SRNAME, INFO)
C***BEGIN PROLOGUE  XERBLA
C***SUBSIDIARY
C***PURPOSE  Error handler for the Level 2 and Level 3 BLAS Routines.
C***LIBRARY   SLATEC
C***CATEGORY  R3
C***TYPE      ALL (XERBLA-A)
C***KEYWORDS  ERROR MESSAGE
C***AUTHOR  Dongarra, J. J., (ANL)
C***DESCRIPTION
C
C  Purpose
C  =======
C
C  It is called by Level 2 and 3 BLAS routines if an input parameter
C  is invalid.
C
C  Parameters
C  ==========
C
C  SRNAME - CHARACTER*6.
C           On entry, SRNAME specifies the name of the routine which
C           called XERBLA.
C
C  INFO   - INTEGER.
C           On entry, INFO specifies the position of the invalid
C           parameter in the parameter-list of the calling routine.
C
C***REFERENCES  (NONE)
C***ROUTINES CALLED  XERMSG
C***REVISION HISTORY  (YYMMDD)
C   860720  DATE WRITTEN
C   910610  Routine rewritten to serve as an interface between the
C           Level 2 and Level 3 BLAS routines and the SLATEC error
C           handler XERMSG.  (BKS)
C***END PROLOGUE  XERBLA
C
C     ..    Scalar Arguments ..
      INTEGER            INFO
      CHARACTER*6        SRNAME
      CHARACTER*2        XERN1
C
C***FIRST EXECUTABLE STATEMENT  XERBLA
C
      WRITE (XERN1, '(I2)') INFO
      CALL XERMSG ('SLATEC', SRNAME, 'On entry to '//SRNAME//
     $             ' parameter number '//XERN1//' had an illegal value',
     $             INFO,1)
C
      RETURN
C
C     End of XERBLA.
C
      END
