C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK CHKXER
      SUBROUTINE CHKXER (SRNAMT, INFOT, NOUT, FATAL, KPRINT)
C***BEGIN PROLOGUE  CHKXER
C***SUBSIDIARY
C***PURPOSE  Test whether an error has been detected.
C***LIBRARY   SLATEC (BLAS)
C***AUTHOR  Du Croz, J. J., (NAG)
C           Hanson, R. J., (SNLA)
C***DESCRIPTION
C
C  Tests whether an error has been detected.
C
C  Auxiliary routine for test program for Level 2 Blas.
C***REFERENCES  (NONE)
C***ROUTINES CALLED  NUMXER
C***REVISION HISTORY  (YYMMDD)
C   870810  DATE WRITTEN
C   910620  Modified to meet SLATEC code and prologue standards.  (BKS)
C***END PROLOGUE  CHKXER
C     .. Scalar Arguments ..
      LOGICAL            FATAL
      INTEGER            INFOT, KPRINT, NOUT
      CHARACTER*6        SRNAMT
C     .. Local Scalars ..
      INTEGER            NERR
C     .. External Functions ..
      INTEGER            NUMXER
      EXTERNAL           NUMXER
C***FIRST EXECUTABLE STATEMENT  CHKXER
      IF( NUMXER(NERR) .NE. INFOT) THEN
         FATAL = .TRUE.
         IF (KPRINT .GE. 3) THEN
           WRITE( NOUT, FMT = 9999 )INFOT, SRNAMT
         ENDIF
      END IF
      RETURN
C
 9999 FORMAT( ' ***** ILLEGAL VALUE OF PARAMETER NUMBER ', I2, ' NOT D',
     $      'ETECTED BY ', A6, ' *****' )
C
C     End of CHKXER.
C
      END
