C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK DDJAC2
      SUBROUTINE DDJAC2 (T, Y, YPRIME, PD, CJ, RPAR, IPAR)
C***BEGIN PROLOGUE  DDJAC2
C***SUBSIDIARY
C***PURPOSE  Second Jacobian evaluator for DDASQC.
C***LIBRARY   SLATEC (DASSL)
C***TYPE      DOUBLE PRECISION (SDJAC2-S, DDJAC2-D)
C***AUTHOR  PETZOLD, LINDA R., (LLNL)
C***SEE ALSO  DDASQC
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   891013  DATE WRITTEN
C   901001  Converted prologue to 4.0 format and made all argument
C           declarations explicit.  (FNF)
C   901001  Eliminated 7-character variable names MBANDPn by explicitly
C           including MBAND+n in expressions.  (FNF)
C   901030  Made all local declarations explicit.  (FNF)
C***END PROLOGUE  DDJAC2
      INTEGER  IPAR(*)
      DOUBLE PRECISION  T, Y(*), YPRIME(*), PD(11,25), CJ, RPAR(*)
      INTEGER  J, MBAND, ML, MU, NEQ, NG
      DOUBLE PRECISION  ALPH1, ALPH2
      DATA ALPH1/1.0D0/, ALPH2/1.0D0/, NG/5/
      DATA ML/5/, MU/0/, NEQ/25/
C***FIRST EXECUTABLE STATEMENT  DDJAC2
      MBAND = ML + MU + 1
      DO 10 J = 1,NEQ
        PD(MBAND,J) = -2.0D0 - CJ
        PD(MBAND+1,J) = ALPH1
        PD(MBAND+2,J) = 0.0D0
        PD(MBAND+3,J) = 0.0D0
        PD(MBAND+4,J) = 0.0D0
 10     PD(MBAND+5,J) = ALPH2
      DO 20 J = 1,NEQ,NG
 20     PD(MBAND+1,J) = 0.0D0
      RETURN
      END
