C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK EDIT2
      SUBROUTINE EDIT2 (Y, T, ERM)
C***BEGIN PROLOGUE  EDIT2
C***SUBSIDIARY
C***PURPOSE  Subsidiary to SDASQC.
C***LIBRARY   SLATEC (DASSL)
C***TYPE      SINGLE PRECISION (EDIT2-S, DEDIT2-D)
C***AUTHOR  PETZOLD, LINDA R., (LLNL)
C***SEE ALSO  SDASQC
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   891013  DATE WRITTEN
C   901001  Converted prologue to 4.0 format and made all argument
C           declarations explicit.  (FNF)
C   901009  Changed AMAX1 to MAX.  (FNF)
C   901030  Removed FLOAT's; made all local declarations explicit. (FNF)
C***END PROLOGUE  EDIT2
      REAL  Y(*), T, ERM
      INTEGER  I, J, K, NG
      REAL  ALPH1, ALPH2, A1, A2, ER, EX, YT
      DATA ALPH1/1.0E0/, ALPH2/1.0E0/, NG/5/
C***FIRST EXECUTABLE STATEMENT  EDIT2
      ERM = 0.0E0
      IF (T .EQ. 0.0E0) RETURN
      EX = 0.0E0
      IF (T .LE. 30.0E0) EX = EXP(-2.0E0*T)
      A2 = 1.0E0
      DO 60 J = 1,NG
        A1 = 1.0E0
        DO 50 I = 1,NG
          K = I + (J - 1)*NG
          YT = T**(I+J-2)*EX*A1*A2
          ER = ABS(Y(K)-YT)
          ERM = MAX(ERM,ER)
          A1 = A1*ALPH1/I
 50       CONTINUE
        A2 = A2*ALPH2/J
 60     CONTINUE
      RETURN
      END
