C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK LSE
      LOGICAL FUNCTION LSE (RI, RJ, LR)
C***BEGIN PROLOGUE  LSE
C***SUBSIDIARY
C***PURPOSE  Test if two arrays are identical.
C***LIBRARY   SLATEC (BLAS)
C***AUTHOR  Du Croz, J. J., (NAG)
C           Hanson, R. J., (SNLA)
C***DESCRIPTION
C
C  Tests if two arrays are identical.
C
C  Auxiliary routine for test program for Level 2 Blas.
C***REFERENCES  (NONE)
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   870810  DATE WRITTEN
C   910620  Modified to meet SLATEC code and prologue standards.  (BKS)
C***END PROLOGUE  LSE
C     .. Scalar Arguments ..
      INTEGER            LR
C     .. Array Arguments ..
      REAL               RI( * ), RJ( * )
C     .. Local Scalars ..
      INTEGER            I
C***FIRST EXECUTABLE STATEMENT  LSE
      LSE = .TRUE.
      DO 10 I = 1, LR
         IF( RI( I ).NE.RJ( I ) ) THEN
           LSE = .FALSE.
           GO TO 30
         ENDIF
   10 CONTINUE
   30 RETURN
C
C     End of LSE.
C
      END
