C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK SDF
      SUBROUTINE SDF (N, T, Y, YP)
C***BEGIN PROLOGUE  SDF
C***SUBSIDIARY
C***PURPOSE  Quick check for SLATEC routines SDRIV1, SDRIV2 and SDRIV3.
C***LIBRARY   SLATEC (SDRIVE)
C***CATEGORY  I1A2, I1A1B
C***TYPE      SINGLE PRECISION (SDF-S, DDF-D, CDF-C)
C***KEYWORDS  QUICK CHECK, SDRIV1, SDRIV2, SDRIV3
C***AUTHOR  Kahaner, D. K., (NIST)
C             National Institute of Standards and Technology
C             Gaithersburg, MD  20899
C           Sutherland, C. D., (LANL)
C             Mail Stop D466
C             Los Alamos National Laboratory
C             Los Alamos, NM  87545
C***SEE ALSO  SDQCK
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   890405  DATE WRITTEN
C   890405  Revised to meet SLATEC standards.
C***END PROLOGUE  SDF
      REAL ALFA, T, Y(*), YP(*)
      INTEGER N
C***FIRST EXECUTABLE STATEMENT  SDF
      ALFA = Y(N+1)
      YP(1) = 1.E0 + ALFA*(Y(2) - Y(1)) - Y(1)*Y(3)
      YP(2) = ALFA*(Y(1) - Y(2)) - Y(2)*Y(3)
      YP(3) = 1.E0 - Y(3)*(Y(1) + Y(2))
      RETURN
      END
