C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK SDRES2
      SUBROUTINE SDRES2 (T, Y, YPRIME, DELTA, IRES, RPAR, IPAR)
C***BEGIN PROLOGUE  SDRES2
C***SUBSIDIARY
C***PURPOSE  Second residual evaluator for SDASQC.
C***LIBRARY   SLATEC (DASSL)
C***TYPE      SINGLE PRECISION (SDRES2-S, DDRES2-D)
C***AUTHOR  PETZOLD, LINDA R., (LLNL)
C***SEE ALSO  SDASQC
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   891013  DATE WRITTEN
C   901001  Converted prologue to 4.0 format and made all argument
C           declarations explicit.  (FNF)
C   901030  Made all local declarations explicit.  (FNF)
C***END PROLOGUE  SDRES2
      INTEGER  IRES, IPAR(*)
      REAL  T, Y(*), YPRIME(*), DELTA(*), RPAR(*)
      INTEGER  I, J, K, NG
      REAL  ALPH1, ALPH2, D
      DATA ALPH1/1.0E0/, ALPH2/1.0E0/, NG/5/
C***FIRST EXECUTABLE STATEMENT  SDRES2
      DO 10 J = 1,NG
      DO 10 I = 1,NG
        K = I + (J - 1)*NG
        D = -2.0E0*Y(K)
        IF (I .NE. 1) D = D + Y(K-1)*ALPH1
        IF (J .NE. 1) D = D + Y(K-NG)*ALPH2
 10     DELTA(K) = D - YPRIME(K)
      RETURN
      END
