C ESA (C) 2000-2018 
C
C This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
C
C    SAS is free software: you can redistribute it and/or modify
C    it under the terms of the GNU General Public License as published by
C    the Free Software Foundation, either version 3 of the License, or
C    (at your option) any later version.
C
C    SAS is distributed in the hope that it will be useful,
C    but WITHOUT ANY WARRANTY; without even the implied warranty of
C    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C    GNU General Public License for more details.
C
C    You should have received a copy of the GNU General Public License
C    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
*DECK SOSFNC
      REAL FUNCTION SOSFNC (X, K)
C***BEGIN PROLOGUE  SOSFNC
C***PURPOSE  Function evaluator for SOS quick check.
C***LIBRARY   SLATEC
C***KEYWORDS  QUICK CHECK
C***AUTHOR  Watts, H. A., (SNLA)
C***DESCRIPTION
C
C     FUNCTION WHICH EVALUATES THE FUNCTIONS, ONE AT A TIME,
C     FOR TEST PROGRAM USED IN QUICK CHECK OF SOS.
C
C***ROUTINES CALLED  (NONE)
C***REVISION HISTORY  (YYMMDD)
C   801001  DATE WRITTEN
C   890618  REVISION DATE from Version 3.2
C   891214  Prologue converted to Version 4.0 format.  (BAB)
C***END PROLOGUE  SOSFNC
      DIMENSION X(2)
C***FIRST EXECUTABLE STATEMENT  SOSFNC
      IF (K.EQ.1) SOSFNC=1.E0-X(1)
      IF (K.EQ.2) SOSFNC=1.E1*(X(2)-X(1)**2)
      RETURN
      END
